Skip to main content
POST
C#
This endpoint requires the payment-methods.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string | null

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

payment_method_id
string<uuid>
required

The ID of the payment method

Example:

"ef9496d8-53a5-4aad-8ca2-00eb68334389"

network_token_id
string<uuid>
required

The ID of the network token

Example:

"f8dd5cfc-7834-4847-95dc-f75a360e2298"

Response

Successful Response

id
string<uuid>
required

The ID for the network token.

Example:

"918f6c9b-5d11-4897-98dc-23fda6fe0055"

expiration_date
string
required

The expiration date for the network token.

Required string length: 5
Pattern: ^\d{2}/\d{2}$
Example:

"12/30"

payment_method_id
string<uuid>
required

The ID of the payment method used to generate this token

Example:

"ef9496d8-53a5-4aad-8ca2-00eb68334389"

status
enum<string>
required

The state of the network token.

Available options:
active,
inactive,
suspended,
deleted
Example:

"active"

token
string
required

The token value. Will be present if succeeded.

Required string length: 1 - 300
Example:

"4111123456789012"

created_at
string<date-time>
required

The date and time when this network token was first created in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

updated_at
string<date-time>
required

The date and time when this network token was last updated in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

type
string
default:network-token

Always network-token.

Allowed value: "network-token"
Example:

"network-token"